Bug 1253239 - [abrt] nautilus: gtk_widget_destroy(): nautilus killed by SIGSEGV
[abrt] nautilus: gtk_widget_destroy(): nautilus killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a8217d1a9777844abaa981b7876...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 05:43 EDT by Mikhail
Modified: 2015-10-07 11:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 11:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.09 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: core_backtrace (5.31 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: dso_list (13.14 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: environ (1.01 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: maps (67.45 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: mountinfo (3.77 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: open_fds (3.81 KB, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details
File: var_log_messages (311 bytes, text/plain)
2015-08-13 05:43 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-08-13 05:43:18 EDT
Version-Release number of selected component:
nautilus-3.17.3-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_widget_destroy
executable:     /usr/bin/nautilus
global_pid:     23378
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_destroy at gtkwidget.c:4804
 #1 show_row_popover at gtkplacessidebar.c:3410
 #2 on_button_release_event at gtkplacessidebar.c:3496
 #3 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #8 gtk_widget_event_internal at gtkwidget.c:7816
 #9 propagate_event_up at gtkmain.c:2490
 #10 propagate_event at gtkmain.c:2592
 #11 gtk_main_do_event at gtkmain.c:1823
 #16 g_main_context_iteration at gmain.c:3869
 #17 g_application_run at gapplication.c:2311
Comment 1 Mikhail 2015-08-13 05:43:25 EDT
Created attachment 1062423 [details]
File: backtrace
Comment 2 Mikhail 2015-08-13 05:43:27 EDT
Created attachment 1062424 [details]
File: cgroup
Comment 3 Mikhail 2015-08-13 05:43:28 EDT
Created attachment 1062425 [details]
File: core_backtrace
Comment 4 Mikhail 2015-08-13 05:43:31 EDT
Created attachment 1062426 [details]
File: dso_list
Comment 5 Mikhail 2015-08-13 05:43:32 EDT
Created attachment 1062427 [details]
File: environ
Comment 6 Mikhail 2015-08-13 05:43:34 EDT
Created attachment 1062428 [details]
File: limits
Comment 7 Mikhail 2015-08-13 05:43:43 EDT
Created attachment 1062429 [details]
File: maps
Comment 8 Mikhail 2015-08-13 05:43:46 EDT
Created attachment 1062430 [details]
File: mountinfo
Comment 9 Mikhail 2015-08-13 05:43:47 EDT
Created attachment 1062431 [details]
File: namespaces
Comment 10 Mikhail 2015-08-13 05:43:49 EDT
Created attachment 1062432 [details]
File: open_fds
Comment 11 Mikhail 2015-08-13 05:43:50 EDT
Created attachment 1062433 [details]
File: proc_pid_status
Comment 12 Mikhail 2015-08-13 05:43:51 EDT
Created attachment 1062434 [details]
File: var_log_messages
Comment 13 Giulio 'juliuxpigface' 2015-09-24 14:11:26 EDT
I've reproduced this with the following steps:

1. Create a test folder.
2. Add the brand new folder to "Places" (the bookmarks on the left sidebar).
3. Right-click on the new bookmark.

How reproducible:
Always

Actual result:
1. Nautilus crashes and Abrt catches the exception.

Expected result:
1. User should be able to interact with custom bookmarks added to Nautilus' places
Comment 14 Carlos Soriano 2015-10-07 11:21:28 EDT
this should be fixed on gtk+ 3.18.0 with https://git.gnome.org/browse/gtk+/commit/?id=5c0447fa44ee8bfdad7290025a48e5431a9dfb9d

Note You need to log in before you can comment on or make changes to this bug.